Subject: Re: [PATCH v2 1/4] doc: git-push: clarify intro

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Sep 2025 11:42:22 -0700

Junio C Hamano <[email-masked]> writes:

> "Julia Evans" <[email-masked]> writes:
>
>> Re "refs": I think "refs" is pretty relevant to `git push`, which is why I left it in
>> (as "or other references", to give readers a hint that a branch is a type
>> of ref/reference).
>
> I have (and I didn't have) no issues with "refs" -> "references".
>
>> Will try this:
>>
>>     Updates one or more branches, tags, or other references in a remote
>>     repository from your local repository, and sends all necessary data in
>>     those branches or tags that isn't already on the remote.
>>
>> The goal there is to make sure the reader knows that git push may need to
>> send a significant amount of data, depending on what's in the new commits
>> you're pushing.
>
> Yes.  I do not partculary see the point of deliberately trying to be
> vague by saying "data" (in "all necessary data") instead of "tags,
> commits, trees, and blobs (collectively known as objects), but I
> agree with the stated goal here.

Let me change my mind here.

If you are trying to avoid overwhelming the readers by carefully
trying not to write things that do not have to be said at each point
in the teaching, I do agree that the deliberate vagueness I
mentioned above is a good idea.  You seem to have better "taste" of
knowing what the right amount of detail to give, a lot better than I
do.

Please keep these goodness coming.

Thanks.